Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 177725 - NullPointerException at org.netbeans.modules.web.jsf.editor.hints.ComponentUsagesChecker$1.visit
NullPointerException at org.netbeans.modules.web.jsf.editor.hints.ComponentUs...
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: JSF Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Marek Fukala
issues@javaee
EXCEPTIONS_REPORT, 68patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-27 03:32 UTC by earlGrey
Modified: 2010-01-19 06:15 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.21 KB, text/plain)
2009-11-27 03:32 UTC, earlGrey
Details

Note You need to log in before you can comment on or make changes to this bug.
Description earlGrey 2009-11-27 03:32:37 UTC
Build: NetBeans IDE Dev (Build 200911261400)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Windows XP, 5.1, x86

User Comments:
GUEST: adding inputSecect tag to a form on a jsf 2.0 facelet  page.

earlGrey: JSF project. Using composite components.

earlGrey: Using a composite component in the editor.



Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.web.jsf.editor.hints.ComponentUsagesChecker$1.visit(ComponentUsagesChecker.java:129)
        at org.netbeans.editor.ext.html.parser.AstNodeUtils.visitChildren(AstNodeUtils.java:374)
        at org.netbeans.editor.ext.html.parser.AstNodeUtils.visitChildren(AstNodeUtils.java:381)
        at org.netbeans.modules.web.jsf.editor.hints.ComponentUsagesChecker.checkCCCalls(ComponentUsagesChecker.java:111)
        at org.netbeans.modules.web.jsf.editor.hints.ComponentUsagesChecker.compute(ComponentUsagesChecker.java:71)
        at org.netbeans.modules.web.jsf.editor.hints.HintsRegistry.gatherHints(HintsRegistry.java:77)
Comment 1 earlGrey 2009-11-27 03:32:41 UTC
Created attachment 91763 [details]
stacktrace
Comment 2 Marek Fukala 2009-11-30 03:12:41 UTC
web-main#98be8d150840
Comment 3 Quality Engineering 2009-11-30 14:46:12 UTC
Integrated into 'main-golden', will be available in build *200911301400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/98be8d150840
User: Marek Fukala <mfukala@netbeans.org>
Log: #177725 -  NullPointerException at org.netbeans.modules.web.jsf.editor.hints.ComponentUsagesChecker$1.visit
Comment 4 Jindrich Sedek 2010-01-11 05:47:46 UTC
verified.
Comment 5 pgebauer 2010-01-14 04:39:56 UTC
The fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/352d314d2aa0


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo